## org.eclipse.wst.server.core.util
Class RuntimeLifecycleAdapter

    java.lang.Object
      org.eclipse.wst.server.core.util.RuntimeLifecycleAdapter

All Implemented Interfaces:
  IRuntimeLifecycleListener

    public class RuntimeLifecycleAdapter

extends java.lang.Object
implements IRuntimeLifecycleListener

Helper class which implements the IRuntimeLifecycleListener interface with empty methods.

Since:
  1.0
See Also:
  `IRuntimeLifecycleListener`

Constructor Summary
`RuntimeLifecycleAdapter()`

Method Summary
`void` `runtimeAdded(IRuntime runtime)` A new runtime has been created.
`void` `runtimeChanged(IRuntime runtime)` An existing runtime has been updated or modified.
`void` `runtimeRemoved(IRuntime runtime)` A existing runtime has been removed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeLifecycleAdapter

    public RuntimeLifecycleAdapter()

Method Detail

### runtimeAdded

    public void runtimeAdded(IRuntime runtime)

  Description copied from interface: `IRuntimeLifecycleListener`
  A new runtime has been created.

  Specified by:
    `runtimeAdded` in interface `IRuntimeLifecycleListener`
  Parameters:
    `runtime` - the new runtime
  See Also:
    `IRuntimeLifecycleListener.runtimeAdded(IRuntime)`

### runtimeChanged

    public void runtimeChanged(IRuntime runtime)

  Description copied from interface: `IRuntimeLifecycleListener`
  An existing runtime has been updated or modified.

  Specified by:
    `runtimeChanged` in interface `IRuntimeLifecycleListener`
  Parameters:
    `runtime` - the modified runtime
  See Also:
    `IRuntimeLifecycleListener.runtimeChanged(IRuntime)`

### runtimeRemoved

    public void runtimeRemoved(IRuntime runtime)

  Description copied from interface: `IRuntimeLifecycleListener`
  A existing runtime has been removed.

  Specified by:
    `runtimeRemoved` in interface `IRuntimeLifecycleListener`
  Parameters:
    `runtime` - the removed runtime
  See Also:
    `IRuntimeLifecycleListener.runtimeRemoved(IRuntime)`